Bug 477149 - Fix dependencies and directories in NetworkManager-openvpn
Summary: Fix dependencies and directories in NetworkManager-openvpn
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-19 12:11 UTC by Peter Robinson
Modified: 2009-03-08 19:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-08 04:18:06 UTC


Attachments (Terms of Use)

Description Peter Robinson 2008-12-19 12:11:12 UTC
There's a few issues with the .spec file that could be cleaned up.

libpng is not used so is an unneeded BuildReq
BuildRequires: libpng-devel

NM-openvpn needs to own the following dir
%{_datadir}/gnome-vpn-properties/openvpn/

This needs a fix upstream too but NM-openvpn doesn't use libgnomeui but checks for it unnecessarily in the configure check. Once that's fixed the following BuildReq can be dropped.
BuildRequires: libgnomeui-devel

Alot of the actual Requires could also be dropped as things like gtk will be automatically determined.

Comment 1 Fedora Update System 2008-12-20 12:02:23 UTC
NetworkManager-openvpn-0.7.0-17.svn4326.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-openvpn-0.7.0-17.svn4326.fc10

Comment 2 Christoph Höger 2008-12-20 12:10:22 UTC
Hi,

thanks for the report, I removed libpng-devel and added %{_datadir}/gnome-vpn-properties/openvpn/ see 

https://admin.fedoraproject.org/updates/NetworkManager-openvpn-0.7.0-17.svn4326.fc10

I did not:

- remove libgnomeui: it is needed by the authentication module
- remove gtk: it is needed by authentication/configuration module

If you could clearify what you meant with "automatically determined" I could review that again.

Comment 3 Fedora Update System 2008-12-20 12:28:01 UTC
NetworkManager-openvpn-0.7.0-17.svn4326.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-openvpn-0.7.0-17.svn4326.fc9

Comment 4 Fedora Update System 2008-12-21 23:36:36 UTC
NetworkManager-openvpn-0.7.0-17.svn4326.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager-openvpn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11629

Comment 5 Fedora Update System 2008-12-21 23:40:29 UTC
NetworkManager-openvpn-0.7.0-17.svn4326.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager-openvpn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11662

Comment 6 Peter Robinson 2008-12-25 09:46:47 UTC
Hi,

Thanks for the response.

> I did not:
> 
> - remove libgnomeui: it is needed by the authentication module

I'm not sure that it is needed, none of the actual source files include gnomeui.h, also NetworkManager itself and the NetworkManager-vpnc don't use or require libgnomeui 

> - remove gtk: it is needed by authentication/configuration module
> 
> If you could clearify what you meant with "automatically determined" I could
> review that again.

See the details in the packaging guidelines [1]. Basically RPM can work out what libraries are linked to by an application and hence will automatically determine what libraries it needs to 'Require'. You need to include dbus as a require but the NetworkManager, gtk, gconf, gnome-keyring etc should be automatic.

[1] https://fedoraproject.org/wiki/Packaging/Guidelines#Requires

Comment 7 Fedora Update System 2009-01-05 02:28:15 UTC
NetworkManager-0.7.0-1.git20090102.fc10,NetworkManager-vpnc-0.7.0-1.svn13.fc10,NetworkManager-openvpn-0.7.0-18.svn11.fc10,NetworkManager-pptp-0.7.0-1.svn16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-1.git20090102.fc10,NetworkManager-vpnc-0.7.0-1.svn13.fc10,NetworkManager-openvpn-0.7.0-18.svn11.fc10,NetworkManager-pptp-0.7.0-1.svn16.fc10

Comment 8 Fedora Update System 2009-01-05 02:30:15 UTC
NetworkManager-0.7.0-1.git20090102.fc9,NetworkManager-vpnc-0.7.0-1.svn13.fc9,NetworkManager-openvpn-0.7.0-18.svn11.fc9,NetworkManager-pptp-0.7.0-1.svn16.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-1.git20090102.fc9,NetworkManager-vpnc-0.7.0-1.svn13.fc9,NetworkManager-openvpn-0.7.0-18.svn11.fc9,NetworkManager-pptp-0.7.0-1.svn16.fc9

Comment 9 Peter Robinson 2009-01-05 07:31:51 UTC
> - remove libgnomeui: it is needed by the authentication module

See the fix put into NM-pptp for the details of this one
http://svn.gnome.org/viewvc/network-manager-pptp/trunk/configure.in?r1=2&r2=8

Comment 10 Fedora Update System 2009-01-07 09:08:47 UTC
NetworkManager-0.7.0-1.git20090102.fc10, NetworkManager-vpnc-0.7.0-1.svn13.fc10, NetworkManager-openvpn-0.7.0-18.svn11.fc10, NetworkManager-pptp-0.7.0-1.svn16.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0023

Comment 11 Fedora Update System 2009-01-07 09:36:54 UTC
NetworkManager-0.7.0-1.git20090102.fc9, NetworkManager-vpnc-0.7.0-1.svn13.fc9, NetworkManager-openvpn-0.7.0-18.svn11.fc9, NetworkManager-pptp-0.7.0-1.svn16.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0222

Comment 12 Fedora Update System 2009-01-08 04:17:52 UTC
NetworkManager-0.7.0-1.git20090102.fc10, NetworkManager-vpnc-0.7.0-1.svn13.fc10, NetworkManager-openvpn-0.7.0-18.svn11.fc10, NetworkManager-pptp-0.7.0-1.svn16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-03-06 17:51:12 UTC
NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-1.fc9,NetworkManager-vpnc-0.7.0.99-1.fc9,NetworkManager-openvpn-0.7.0.99-1.fc9,NetworkManager-pptp-0.7.0.99-1.fc9,NetworkManager-openconnect-0.7.0.99-1.fc9

Comment 14 Fedora Update System 2009-03-08 19:29:43 UTC
NetworkManager-0.7.0.99-1.fc9, NetworkManager-vpnc-0.7.0.99-1.fc9, NetworkManager-openvpn-0.7.0.99-1.fc9, NetworkManager-pptp-0.7.0.99-1.fc9, NetworkManager-openconnect-0.7.0.99-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.